module Tests

import Options
import TAP
import Tests.Unicode
import Tests.Lexer
import Tests.Parser
import Tests.Equal
import System


allTests = [
  Unicode.tests,
  Lexer.tests,
  Parser.tests,
  Equal.tests
]

main = TAP.main !getTestOpts allTests
